Subject: [dns-dir] draft-huang-ipv6cp-options-00 *-DNS-Address

From: Tim Bannister <[email-masked]>
Date: Thu, 8 Apr 2010 22:09:36 +0100

Hi, 

I'm writing out of concern over http://tools.ietf.org/html/draft-huang-ipv6cp-options-00 and the implications this has for resolver configuration. I'll admit though that I'm not representing any big vendor or have any influence over how PPP & IPv6 might get deployed.

IPv4 systems commonly configure two addresses for DNS resolution, and then either use these in a round-robin fashion or by using the secondary address as a fallback (RFC 1877). Typical operator experience is that the primary host sees lots of load and the secondary host is mostly idle. A fault with the primary host affects all users. There are workarounds such as advertising two hosts at random from a larger set, but these work around an issue rather than address it.

draft-huang-ipv6cp-options-00 proposes copying the same mechanism to IPV6CP, broadly intact. I think this is an opportunity to improve a configuration mechanism that could be with us for a fairly long time. PPP doesn't really give hosts much room to negotiate capabilities, so whatever gets chosen here will probably stay as a lowest common denominator.

I'd like to see a mechanism that allows for a larger number of nameservers (at least four) to be advertised, and I'd prefer this to be without regard to priority.

-- 
Tim Bannister – [email-masked]